#extension GL_EXT_gpu_shader4 : enable

uniform sampler2D textureImage;

void main (void)
{
    vec4 texColor = texture2D(textureImage, gl_TexCoord[0].st);

    texColor[0] += 0.0001;
    texColor[1] += 0.0001;
    texColor[2] += 0.0001;

    float texAlpha = texColor[3];
    if (texAlpha > 1.0) texAlpha = 1.0;

    gl_FragColor = vec4(texColor.r, texColor.g, texColor.b, texAlpha);
}
