#version 130
//#extension GL_EXT_gpu_shader4 : enable

//uniform sampler1D textureColorCurve;

in int lineIndexAttrib;
in float filterAlphaAttrib;

out vec4 color;
out vec3 modelview_position;
out vec3 vertex;
flat out int lineIndex;
flat out float filterAlpha;

void main(void)
{
    vertex = vec3(gl_Vertex[0], gl_Vertex[1], gl_Vertex[2]);

    vec4 vertex4 = vec4(gl_Vertex[0], gl_Vertex[1], gl_Vertex[2], 1);

    gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
    modelview_position = vec3(gl_ModelViewMatrix * vertex4);
    color = gl_Color;
    
    gl_Position = gl_ModelViewProjectionMatrix * vertex4;//ftransform();
    lineIndex = lineIndexAttrib;
    filterAlpha = filterAlphaAttrib;
}
